package com.platform.yijia.service.impl;

import com.platform.yijia.dao.StationNoticeManageMapper;
import com.platform.yijia.pojo.StationNoticeManage;
import com.platform.yijia.pojo.StationNoticeManageExample;
import com.platform.yijia.service.StationNoticeManageService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service("StationNoticeManageService")
public class StationNoticeManageServiceImpl implements StationNoticeManageService {
    @Resource
    private StationNoticeManageMapper stationNoticeManageMapper;
    /**
     * 油站设备管理查询
     * @param stationNoticeManage
     * @return
     */
    @Override
    public List<StationNoticeManage> getStationNoticeManageList(StationNoticeManage stationNoticeManage) {
        StationNoticeManageExample example = new StationNoticeManageExample();
        List<StationNoticeManage> stationNoticeManagelist = stationNoticeManageMapper.selectByExample(example);
        return stationNoticeManagelist;
    }

    /**
     * 修改油站设备信息
     * @param stationNoticeManage
     */
    @Override
    public void updateStationNoticeManage(StationNoticeManage stationNoticeManage) {
        StationNoticeManageExample example = new StationNoticeManageExample();
        stationNoticeManageMapper.updateByExample(stationNoticeManage,example);
    }

    @Override
    public void deleteStationNoticeManage(StationNoticeManage stationNoticeManage) {
        StationNoticeManageExample example = new StationNoticeManageExample();
        stationNoticeManageMapper.deleteByExample(example);
    }
}
